# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TRenewDelegationTokenResp

Packages that use TRenewDelegationTokenResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TRenewDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TRenewDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.RenewDelegationToken_call`
`static class`
`TCLIService.AsyncProcessor.RenewDelegationToken<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TRenewDelegationTokenResp
Modifier and Type
Class
Description
`class`
`TRenewDelegationTokenResp`
`class`
`TRenewDelegationTokenResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TRenewDelegationTokenResp
Modifier and Type
Field
Description
`TRenewDelegationTokenResp`
TCLIService.RenewDelegationToken_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TRenewDelegationTokenResp
Modifier and Type
Method
Description
`TRenewDelegationTokenResp`
TRenewDelegationTokenResp.`deepCopy()`
`TRenewDelegationTokenResp`
TCLIService.AsyncClient.RenewDelegationToken_call.`getResult()`
`TRenewDelegationTokenResp`
TCLIService.RenewDelegationToken_result.`getSuccess()`
`TRenewDelegationTokenResp`
TCLIService.Client.`recv_RenewDelegationToken()`
`TRenewDelegationTokenResp`
TCLIService.Client.`RenewDelegationToken(TRenewDelegationTokenReq req)`
`TRenewDelegationTokenResp`
TCLIService.Iface.`RenewDelegationToken(TRenewDelegationTokenReq req)`
`TRenewDelegationTokenResp`
TRenewDelegationTokenResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TRenewDelegationTokenResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp>`
TCLIService.AsyncProcessor.RenewDelegationToken.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRenewDelegationTokenResp
Modifier and Type
Method
Description
`int`
TRenewDelegationTokenResp.`compareTo(TRenewDelegationTokenResp other)`
`boolean`
TRenewDelegationTokenResp.`equals(TRenewDelegationTokenResp that)`
`TCLIService.RenewDelegationToken_result`
TCLIService.RenewDelegationToken_result.`setSuccess(TRenewDelegationTokenResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TRenewDelegationTokenResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.RenewDelegationToken.`start(I iface, TCLIService.RenewDelegationToken_args args, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRenewDelegationTokenResp
Modifier
Constructor
Description
``
`RenewDelegationToken_result(TRenewDelegationTokenResp success)`
``
`TRenewDelegationTokenResp(TRenewDelegationTokenResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TRenewDelegationTokenResp
Modifier
Constructor
Description
``
`RenewDelegationToken_call(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`